SLEEPING_THREAD_TO_G(9)

NAME
sleeping_thread_to_gdb_regs - Convert ptrace regs to GDB regs

SYNOPSIS

void sleeping_thread_to_gdb_regs(unsigned long * gdb_regs, struct task_struct * p);

ARGUMENTS

gdb_regs
    A pointer to hold the registers in the order GDB wants.

p
    The struct task_struct of the desired process.

DESCRIPTION

Convert the register values of the sleeping process in p to the format that GDB expects. This function is called when kgdb does not have access to the struct pt_regs and therefore it should fill the gdb registers gdb_regs with what has been saved in struct thread_struct thread field during switch_to.

AUTHOR

Jason Wessel <jason.wessel@windriver.com>
    Author.

COPYRIGHT